% Questa routine calcola le medie (giornaliere o per intervalli definiti)
% necessarie per le elaborazioni successive per i Tilt Link HR H
% AngDef_TLHR contiene le medie per l'intervallo definito delle accelerazioni
% ARRAYdate contiene le date e il tempo per ogni dato (per media
% giornaliera, la data di quel giorno)

function [ARRAYdate_TLHRH,AngDef_TLHRH,TempDef_TLHRH] = ...
    MediaDati_TLHRH(angTLHRH,TimeTLHRH,NdatiMedia,tempTLHRH,FileName)

fileID = fopen(FileName,'a');
fmt = '%s \r';
text = 'MediaDati_TLHRH function started';
fprintf(fileID,fmt,text);

[r,~]=size(angTLHRH);
if NdatiMedia > r
    NdatiMedia = r;
end

%% Matrice date
ARRAYdate_TLHRH = TimeTLHRH;

%% Angoli
AngDef_TLHRH = smoothdata(angTLHRH,'gaussian',NdatiMedia);

%% Temperatura
TempDef_TLHRH = tempTLHRH; % Non faccio la media, mi serve il dato come è per applicare i filtri

text = 'Average values for Tilt Link HR H have been processed. MediaDati_TLHRH function closed';
fprintf(fileID,fmt,text);
fclose(fileID);

end